
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "BacBinaryValue.h"
#include "enum.bactypes.h"

BacBinaryValue::BacBinaryValue(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Inactive") << tr("Active"), 0);
}

BacBinaryValue::BacBinaryValue(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Inactive") << tr("Active"), value);
}

